package com.mortals.xhx.module.room.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.vo.RoomWorkmanVo;
import lombok.Data;
/**
* 房间工作人员信息实体对象
*
* @author zxfei
* @date 2023-05-22
*/
@Data
public class RoomWorkmanEntity extends RoomWorkmanVo {
    private static final long serialVersionUID = 1L;

    /**
    * 房间id
    */
    private Long roomId;
    /**
    * 房间名称
    */
    private String roomName;
    /**
    * 工作人员id
    */
    private Long workmanId;
    /**
    * 工作人员名称
    */
    private String workmanName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoomWorkmanEntity) {
            RoomWorkmanEntity tmp = (RoomWorkmanEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.roomId = -1L;

            this.roomName = "";

            this.workmanId = -1L;

            this.workmanName = "";

            this.remark = "";
    }
}